<?php
	session_start();
	$ruta="../";
	include_once($ruta."class/chompa.php");
	$chompa=new chompa;
	include_once($ruta."funciones/funciones.php");
	extract($_POST);

	 $fechaactual=date('Y-m-d'); 
      $cho=$chompa->mostrarUltimo("estado=1");
       $idchompaInicial=$cho['idchompa'];
        if ($fechaactual>$cho['fecha']) 
        {
        	$nuevafecha=date("Y-m-d",strtotime($cho['fecha']."+ 7 days")); 
          switch ($cho['orden']) 
          {

          	case '1':

          		     $valor=array(
          		     	"fecha"=>"'$nuevafecha'",
						"estado"=>"'1'"
				 	 );
				 	  $cho2=$chompa->mostrarUltimo("orden=2");
				 	  $idchompa=$cho2['idchompa'];
				 	  //RESETEAR
						$valores=array(
							     "estado"=>"'0'"
							);
							$chompa->actualizar($valores,$idchompaInicial);
          		break;
          	
          	case '2':
          		      $valor=array(
          		      	"fecha"=>"'$nuevafecha'",
						"estado"=>"'1'"
				 	 );
				 	  $cho3=$chompa->mostrarUltimo("orden=3");
				 	  $idchompa=$cho3['idchompa'];
				 	  //RESETEAR
						$valores=array(
							     "estado"=>"'0'"
							);
							$chompa->actualizar($valores,$idchompaInicial);
          		break;

          	case '3':
          		      $valor=array(
          		      	"fecha"=>"'$nuevafecha'",
						"estado"=>"'1'"
				 	 );
				 	  $cho1=$chompa->mostrarUltimo("orden=1");
				 	  $idchompa=$cho1['idchompa'];
				 	  //RESETEAR
						$valores=array(
							     "estado"=>"'0'"
							);
							$chompa->actualizar($valores,$idchompaInicial);
          		break;	
          		
          }
                $chompa->actualizar($valor,$idchompa);
					?>
						<script type="text/javascript">
							location.reload();
						</script>
					<?php
				
        }


?>